Delete
curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/virtual_mcp_servers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Virtual MCP Servers
Delete
Delete a Virtual MCP Server. Its route slugs can be reassigned later
without transferring the deleted server’s use grants.
DELETE
/
api
/
v1
/
virtual_mcp_servers
/
{id}
Delete
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Immutable Virtual MCP Server identifier.
Body
application/json
VirtualMCPServerServiceDeleteRequest deletes one Virtual MCP Server by ID.
Response
200 - application/json
VirtualMCPServerServiceDeleteResponse confirms deletion.
VirtualMCPServerServiceDeleteResponse confirms deletion.
Was this page helpful?